<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-back-button> </ion-back-button>
    </ion-buttons>
    <ion-title>Create user</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-card>
    <form #loginForm="ngForm" (ngSubmit)="onSubmit(loginForm)">
      <ion-grid>
        <ion-row>
          <ion-col size-sm="6" offset-sm="3">
            <ion-list>
              <ion-item>
                <ion-label position="floating">Email</ion-label>
                <ion-input
                  type="email"
                  ngModel
                  name="email"
                  required
                  email
                  #emailCtrl="ngModel"
                ></ion-input>
              </ion-item>
              <ion-item
                *ngIf="!emailCtrl.valid && emailCtrl.touched"
                lines="none"
              >
                <ion-label color="danger">
                  Should be a valid email
                </ion-label>
              </ion-item>
              <ion-item *ngIf="roles.length > 0">
                <ion-label>User role</ion-label>
                <ion-select
                  interface="action-sheet"
                  multiple="false"
                  placeholder="Select One"
                  name="role"
                  ngModel
                  #categoryCtrl="ngModel"
                  required
                >
                  <ion-select-option
                    *ngFor="let role of roles"
                    [value]="role.id"
                    >{{ role.display_name }}</ion-select-option
                  >
                </ion-select>
              </ion-item>
            </ion-list>
          </ion-col>
        </ion-row>
        <ion-row>
          <ion-col size-sm="6" offset-sm="3">
            <ion-button
              color="primary"
              expand="block"
              type="submit"
              [disabled]="!loginForm.valid"
            >
              Create
            </ion-button>
          </ion-col>
        </ion-row>
      </ion-grid>
    </form>
  </ion-card>
</ion-content>
